[HILFE] User können keine Schilder benutzen

Dieses Thema im Forum "Server Plugins" wurde erstellt von Maart, 21. Mai 2015.

  1. Maart
    Offline

    Maart

    Registriert seit:
    11. Februar 2014
    Beiträge:
    77
    Minecraft:
    DerMaart99
    Hallo liebe Community! [​IMG]

    Ich habe folgendes Problem:
    Seit mein Server in die Wartungsarbeiten gegangen ist, um auf die 1.8 zu updaten, funktionieren 90% aller Schilder (z.B. für Kits) nur noch für OP's (Stufe 1). Einige, wenige andere Schilder funktionieren aber.

    Einige Plugins auf meinem Server habe ich selber programmiert (alle Spielmodi und das Lobby System, etc - außer soetwas wie Vault, WE, WG und PEX) → es gibt also keine Permissions, die falsch eingetragen sind, da meine Plugins großteils ohne Permission sind!

    Ich ärgere mich jetzt schon ewig (1 1/2 Monate) rum. In dieser Zeit können natürlich keine User joinen, da ich nichts nicht-funktionierendes Anbieten will.

    Ich bedanke mich schonmal bei allen Verfassern von hilfreichen Kommentaren,

    Viele Grüße Maart [​IMG]
     
    #1
  2. JTK222
    Online

    JTK222

    Registriert seit:
    5. September 2013
    Beiträge:
    665
    Ort:
    Planet Erde
    Minecraft:
    JTK222
    Mal ganz classic: Spawn protection?
     
    #2
  3. Maart
    Offline

    Maart

    Registriert seit:
    11. Februar 2014
    Beiträge:
    77
    Minecraft:
    DerMaart99
    Habe ich noch überhaupt nicht dran gedacht! Wird morgen sofort ausprobiert. :)

    Schönen Abend noch!
     
    #3
  4. JTK222
    Online

    JTK222

    Registriert seit:
    5. September 2013
    Beiträge:
    665
    Ort:
    Planet Erde
    Minecraft:
    JTK222
    Und war es das?
     
    #4
  5. Maart
    Offline

    Maart

    Registriert seit:
    11. Februar 2014
    Beiträge:
    77
    Minecraft:
    DerMaart99
    Nein, leider nicht. Muss etwas anderes sein :(
     
    #5
  6. MaxCode
    Offline

    MaxCode

    Registriert seit:
    29. Januar 2012
    Beiträge:
    111
    Ort:
    Zu Hause =)
    Minecraft:
    proskatermax
    Schau mal ob du in deinen Plugins die Strings mit equals vergleichst. Das hab ich ausversehen mal mit == gemacht. Das komische war das es in der 1.7 ging, aber ab der 1.8 nichtmehr. Hab mich da in meinem Plugin zu tode gesucht woran es liegen könnte :D

    MFG
    Max
     
    #6
    Maart gefällt das.
  7. Maart
    Offline

    Maart

    Registriert seit:
    11. Februar 2014
    Beiträge:
    77
    Minecraft:
    DerMaart99
    Hes Max!
    Hab alle mit equalsIgnoreCase gemacht, also daran kann es nicht liegen :/

    Vg Maart!
     
    #7
  8. Yannici
    Offline

    Yannici

    Registriert seit:
    20. Mai 2015
    Beiträge:
    26
    Minecraft:
    Yannici
    Habe ähnliche Probleme mit meinem Bedwars Plugin, allerdings haben das nur eine sehr geringe Anzahl an Usern meines Plugins.
     
    #8
  9. montbit
    Offline

    montbit

    Registriert seit:
    4. Februar 2013
    Beiträge:
    188
    Minecraft:
    montbit
    Hast Du Essentials drauf und wenn ja, die Version von Spigot?
     
    #9